Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FarEditorSet Class Reference
[FAR Manager plugin]

## Detailed Description

FAR Editors container.

Manages all library resources and creates FarEditor class instances.

## Public Member Functions
| FarEditorSet (PluginStartupInfo *fedi)
| Creates set and initialises it with PluginStartupInfo structure.
| ~FarEditorSet ()
| Standard destructor.
void | openMenu ()
| Shows editor actions menu.
void | configure ()
| Shows plugin's configuration dialog.
void | viewFile (const String &path)
| Views current file with internal viewer.
int | editorEvent (int Event, void *Param)
| Dispatch editor event in the opened editor.
int | editorInput (const INPUT_RECORD *ir)
| Dispatch editor input event in the opened editor.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.